> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Apply



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/lifecycle
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/lifecycle:
    post:
      tags:
        - Project Item Lifecycle
      summary: Apply
      operationId: ProjectItemLifecycleController_apply_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LifecycleApplyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LifecycleApplyResponse'
components:
  schemas:
    LifecycleApplyDto:
      type: object
      properties:
        action:
          type: string
          enum:
            - archive
            - delete
            - restore
            - purge
        targets:
          minItems: 1
          maxItems: 100
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              version:
                type: integer
                exclusiveMinimum: 0
                maximum: 9007199254740991
            required:
              - id
              - version
            additionalProperties: false
        reason:
          type: string
          maxLength: 500
      required:
        - action
        - targets
      additionalProperties: false
    LifecycleApplyResponse:
      type: object
      properties:
        updatedCount:
          type: number
        ids:
          type: array
          items:
            type: string
        state:
          type: string
          enum:
            - active
            - archived
            - deleted
            - purged
        targets:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              version:
                type: number
            required:
              - id
              - version
        affectedCatalogFamilyIds:
          type: array
          items:
            type: string
        affectedProjectIds:
          type: array
          items:
            type: string
        orderRevisions:
          type: array
          items:
            type: object
            properties:
              itemType:
                type: string
                enum:
                  - default
                  - material
              revision:
                type: number
            required:
              - itemType
              - revision
      required:
        - updatedCount
        - ids
        - state
        - targets
        - affectedCatalogFamilyIds
        - affectedProjectIds
        - orderRevisions

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.